%define orig_name lxsession-edit

Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:           lxde-lxsession-edit
Summary:	lxsession autostart configuration utility for LXDE desktop environment
URL:		http://lxde.org/
License:	GPL
Version:	0.1.1
Release:	1
BuildArch:	i686
Group:		Graphical Desktop/LXDE
Source:		%{orig_name}-%{version}.tar.gz
Provides:	%{orig_name} = %{version}
Obsoletes:	%{orig_name} <= %{version}
#Automatically resolved build dependencies
BuildRequires: cairo-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: glib
BuildRequires: glibc-devel
BuildRequires: gtk2+-devel
BuildRequires: pango-devel
BuildRequires: zlib-devel

%description
lxsession-edit is a tool used to manage desktop session autostarts, especially for lxsession lite.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{orig_name}-%{version}

%build
%configure --disable-debug
touch -r po/Makefile po/stamp-it
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'


%files
%defattr(-,root,root)
%{_bindir}/
%{_datadir}/applications/
%{_datadir}/locale/
%{_datadir}/lxsession-edit
#%{_mandir}/

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Dec 04 2009 Christian Metzen <metzench@ccux-linux.de> 0.1.1-1
- Version update
- rename package to lxde-lxsession-edit
* Sun Mar 22 2009 Christian Metzen <metzench@ccux-linux.de> 0.1-2
- fix desktop file
* Tue Dec 23 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.1-1
- initial CCux package release
